/* configNet.h - Network configuration header file */

/* Copyright 1984-1997 Wind River Systems, Inc. */

/*
modification history
--------------------
01a,31mar98,cn   written.
*/

#ifndef INCconfigNeth
#define INCconfigNeth

#include "vxWorks.h"
#include "end.h"

#define FEI82557_LOAD_FUNC   fei82557EndLoad     /* driver external interface */

#define FEI82557_BUFF_LOAN   1                   /* enable buffer loaning */

/*
 * The initialization string format is:
 *
 * <memBase>:<memSize>:<nCFDs>:<nRFDs>:<userFlags>
 */

#define FEI82557_LOAD_STRING "-1:0x00:0x20:0x20:0x00"

#undef INCLUDE_NSC_DP  

#ifdef INCLUDE_NSC_DP  
#define DP_LOAD_FUNC   DrvDpEndLoad 
#define DP_LOAD_STRING "1:0x00:0x00:0x00:0x00"

IMPORT END_OBJ* DP_LOAD_FUNC(char*, void*);
#endif

#define IP_MAX_UNITS 10 

IMPORT END_OBJ* FEI82557_LOAD_FUNC (char*, void*);


END_TBL_ENTRY endDevTbl [] =
{
#ifdef INCLUDE_NSC_DP
   { 0, DP_LOAD_FUNC, DP_LOAD_STRING, 0, NULL, FALSE}, 
#endif
   { 0, END_TBL_END, NULL, 0, NULL, FALSE},
};

#endif /* INCconfigNeth */

