/**********************************************************************
*h*
*
*   Name:       	Space.h
*
*   Description:  	
*
*		User Configurable Parameters
*   Author:
*
*   History:
*
*h*
**********************************************************************/
#ifndef _SPACE_H
#define _SPACE_H


#define   DEFAULT_SPEED 1000			/* Default Speed of the Adapter */

#define   TRANSMIT_DESC_COUNT 1024 		/* Transmit Descriptor count */

#define   RECEIVE_DESC_COUNT 64			/* Receive Descriptor count */

#define   RX_BUF_SIZE 1514 			/* Receive bufferSize */

/*
 *	The valid NCBIT values are IEEE_NON_COMPLIANCE	
 *	and IEEE_COMPLIANCE 
 */
#define   DEFAULT_NCBIT IEEE_NON_COMPLIANCE	/* Default NCBIT setting */


/* 
 * 	The valid Vlan options are 
 *	VLAN_INSERTION_OFF  -  vlan  packets are not accepted 
 *	VLAN_INSERTION_NIC  -  Enable the vlan tagging in the NIC 
 *	VLAN_INSERTION_OS   -  Enable the OS encapsulation 
 */

int VlanInsertionMode = VLAN_INSERTION_NIC; 	/* Default VLAN setting */

#endif
